function totH       = aggH_trans(fcnH_trans,Q_d,Q_f,cH_max,psiHfcn,h,f,gvars)
% aggregate fcnH in the H-sector

H                   = gvars.H;

myeps               = gvars.myeps;
gamma               = gvars.gamma;
b                   = gvars.b;
delta               = gvars.delta;

% unit cost upper bounds
c_max               = gamma + b;

% measures
Hhat                = delta*H*(1 - F_ji(c_max,cH_max,gvars));


% revenue function weighted by pdf
pdf_fcn             = @(c) ...
    expected_totalH_trans(fcnH_trans,c,Q_d,Q_f,cH_max,psiHfcn,h,f,gvars).*...
                        ( ...
                            dF_ji(c_max,c,gvars) .* ...
                             ((1-delta) + delta.*(c <= cH_max)) ...
                        ).*(c <= c_max)./...
                        ((1-delta) + delta.*F_ji(c_max,cH_max,gvars));

totH                = (H-Hhat)*quadv(pdf_fcn,0,c_max,myeps);
% totH                = (H-Hhat)*myquad(pdf_fcn,0,c_max);

end