function totH       = aggpartH(lb,ub,fcnH,Q_d,Q_f,cH_max,h,f,gvars)
% aggregate fcnH in the H-sector between lb and ub
% aggpartH(lb,ub,fcnH,Q_d,Q_f,cH_max,h,f,gvars)

H                   = gvars.H;

myeps               = gvars.myeps;
gamma               = gvars.gamma;
b                   = gvars.b;
delta               = gvars.delta;

% unit cost upper bounds
c_max               = gamma + b;

% measures
Hhat                = delta*H*(1 - F_ji(c_max,cH_max,gvars));


% revenue function weighted by pdf
pdf_fcn             = @(c) ...
    expected_totalH(fcnH,c,Q_d,Q_f,cH_max,h,f,gvars).*...
                        ( ...
                            dF_ji(c_max,c,gvars) .* ...
                             ((1-delta) + delta.*(c <= cH_max)) ...
                        )./...
                        ((1-delta) + delta.*F_ji(c_max,cH_max,gvars));

totH                = (H-Hhat)*quadv(pdf_fcn,max(0,lb),min(ub,c_max),myeps);
% totH                = (H-Hhat)*myquad(pdf_fcn,0,c_max);

end