function avgW       = avgearningsH_trans(c,Q,cH_max,Q_ini,cH_max_ini,psiH,psiM,gvars_ini,gvars)
% avgearningsH_trans is the avgearnings from workers in other labor markets,
% assuming all firms are owned equally by all workers
% avgearningsH_trans(c,Q,cH_max,Q_ini,cH_max_ini,psiH,psiM,gvars_ini,gvars)

delta               = gvars.delta;

Q_d                 = Q;
Q_f                 = Q;

h                   = 1;
f                   = 1;

newH2Ms             = c <= cH_max_ini & c >  cH_max;


pop_ini             = popH(c,Q_ini,Q_ini,cH_max_ini,gvars_ini);
wages               = expected_totalH_trans(@payrollH_trans,c,...
                                Q_d,Q_f,cH_max,psiH,h,f,gvars);

wages_adj           = wages + ...
                        delta*(newH2Ms).* ( ...
                        avgearningsM_trans(c,Q,Q_ini,psiM,gvars_ini,gvars) ...
                        - wages);
                            
avgW                = wages_adj./pop_ini;


end