function cdf        = cdfH_trans(c, cH_max,gvars)
% cdfH_trans computes the cdf of the Pareto Distribution adjusted for the
% switch
% cdfH_trans(c,cH_max,gvars) computes the cdf at c = c_max/phi
% adjustming for the switching behavior
% We assume productivities are Pareto with shape s and minimum 1

myeps               = gvars.myeps;
gamma               = gvars.gamma;
b                   = gvars.b;
delta               = gvars.delta;

% unit cost upper bounds
c_max               = gamma + b;


% pdf 
pdf_fcn             = @(x) ...
                        ( ...
                            dF_ji(c_max,x,gvars) .* ...
                             ((1-delta) + delta.*(x <= cH_max)) ...
                        )./...
                        ((1-delta) + delta.*F_ji(c_max,cH_max,gvars));
                    

cdf                 = arrayfun(@(c_d) myquad( @(x) pdf_fcn(x),...
                                0,c_d,myeps) , c);

end