function pdf        = dF_ji(cM_ji,c,gvars)
% dF_ji computes the pdf of the Pareto Distribution
% dF_ji(cM_ji,c_ji) computes the pdf at c = cM_ji/phi
% We assume productivities are Pareto with shape s and minimum 1
s       = gvars.s;

pdf     = s.*(cM_ji).^(-s).*...
    min(cM_ji,max(0,c)).^(s-1).* ...
    (c >= 0).*(c <= cM_ji);

end