function e          =  eqm_trans(Q,Q_ini,cH_max_ini,gvars_ini,gvars)
% eqm stacks the symmetric equilibrium conditions with constrained pop.
% assume w_0 = b = 1

eta                 = gvars.eta;

Q_d                 = Q;
Q_f                 = Q;

% find the cutoff corresponding to Q

% each firm imagines that all firms are operating.
% this is clearly a selection
% in a way any upper bound on unit cost would go but it would not be robust
% say the firms can check in the indifference rule held.

cH_max              = cutoffHM(Q_d,Q_f,gvars);

% turn display on/off
% fprintf('eqm called for (Q_d |Q_f |cH_max) \n')
% disp([Q_d, Q_f, cH_max/c_max]);


% computing the Lagrangian on firm size

psiMfun             = @(x)   ...
    psiM_trans(x,Q_d,Q_f,Q_ini,Q_ini,gvars_ini,gvars);
psiHfun             = @(x,y) ...
    psiH_trans(x,y,Q_d,Q_f,cH_max,Q_ini,Q_ini,cH_max_ini,gvars_ini,gvars);

% revenues in the differentiated sector
h                   = 1;
f                   = 1;

totM_revenues       = aggM_trans(@revenuesM_trans,...
                                Q_d,Q_f,cH_max,psiMfun,h,f,gvars);
totH_revenues       = aggH_trans(@revenuesH_trans,...
                                Q_d,Q_f,cH_max,psiHfun,h,f,gvars);

totV_revenues       = totM_revenues + totH_revenues;

e                   = totV_revenues - Q^eta;



end