function exp_total = expected_totalH_trans(fcnH_trans,c,Q_d,Q_f,cH_max,psiHfcn,h,f,gvars)
% expected aggregate fcnH_trans in the H2H firms c using psiHfcn
tau                 = gvars.tau;

myeps               = gvars.myeps;
gamma               = gvars.gamma;
b                   = gvars.b;
delta               = gvars.delta;

% unit cost upper bounds
c_tilde_max         = gamma + b;
c_max               = gamma + b;


% revenue function weighted by pdf - using c_tilde \leq cH_max
pdf_fcn             = @(c_d,c_tilde) ...
    totalH_trans(fcnH_trans,c_d,c_tilde,Q_d,Q_f,...
    psiHfcn(c_d,c_tilde),h,f,gvars).*...
                        ( ...
                            dF_ji(c_tilde_max,c_tilde,gvars) .* ...
                             ((1-delta) + delta.*(c_tilde <= cH_max)) ...
                        ).*(c_d <= c_max)./...
                        ((1-delta) + delta.*F_ji(c_tilde_max,cH_max,gvars));
                    
% note: lower bounder loosely set to c/tau, away from 0, for efficiency
% tight for domestic market 
% but irrelevant sub-range [c/tau ... tau*c ] for foreign market
% it does not matter though since the functions = 0 in that subrange

% exp_total           = arrayfun(@(c_d) quadv( @(c_f) pdf_fcn(c_d,c_f),...
%                                 c_d/tau,c_tilde_max,myeps) , c);

exp_total           = arrayfun(@(c_d) myquad( @(c_f) pdf_fcn(c_d,c_f),...
                                c_d/tau,c_tilde_max,myeps) , c);

end