function p          = priceH_trans(c_ji,c_comp,Q_i,psiH,gvars)
% priceH_trans computes the price in i charge
% by a j-producer with cost c_ji with a population bound (multiplier: psi)
% priceH_trans(c_ji,c_comp,Q_i) gives the  price
% of a duopolist with unit costs c_ji
% and a competitor from 1-j with unit cost c_comp

X                   = ndgrid(c_ji,c_comp);

p                   = priceH(c_ji,c_comp,gvars);              
                    
% p(psiH >= 0)       = priceM_trans(X(psiH >= 0),psiH(psiH >= 0),gvars);

%% case of exo. size. - to undo, remove to remove Q_i from arguments
gamma               = gvars.gamma;
b                   = gvars.b;
rho                 = gvars.rho;
eta                 = gvars.eta;
sigma               = gvars.sigma;
c_max               = gamma + b;
e                   = sizeH_trans(c_ji,c_comp,Q_i,psiH,gvars);

p(psiH >= 0)        = Q_i^(-(rho - eta)).*...
                        (c_max*e(psiH >= 0)./X(psiH >= 0)).^(-1/sigma);

end