function r          = revenuesH(c_ji,c_comp,Q_i,gvars)
% revenuesH computes the revenue in i charged by a j-producer with cost c_ji
% revenuesH(c_ji,c_comp,Q_i) gives the optimal revenue earned
% by a duopolist with unit costs c_ji
% and a competitor from 1-j with unit cost c_comp

rho                 = gvars.rho;
eta                 = gvars.eta;
sigma               = gvars.sigma;

r                   = (Q_i.^(-(rho - eta)/(1-rho))).*...
                        (priceH(c_ji,c_comp,gvars)).^(1-sigma);

end


% function r          = revenuesH(c_ji,c_comp,Q_i,gvars)
% % revenuesH computes the revenue in i charged by a j-producer with cost c_ji
% % revenuesH(c_ji,c_comp,Q_i) gives the optimal revenue earned
% % by a duopolist with unit costs c_ji
% % and a competitor from 1-j with unit cost c_comp
% 
% sigma               = gvars.sigma;
% rho                 = gvars.rho;
% eta                 = gvars.eta;
% 
% markup              = gvars.markup;
% 
% 
% if numel(c_ji) == 1
% r                   = zeros(size(c_comp));
% 
% 
% r(markup.*c_ji < c_comp)              = (Q_i.^(-(rho - eta)/(1-rho))).*...
%                                 (markup.*c_ji).^(1-sigma);
%                             
% r(markup.*c_ji > c_comp & c_ji <= c_comp)  =  (Q_i.^(-(rho - eta)/(1-rho))).*...
%                                 (c_comp(markup.*c_ji > c_comp & c_ji <= c_comp)).^(1-sigma);   
%                             
% elseif numel(c_comp) == 1
% r                   = zeros(size(c_ji));
% 
% 
% r(markup.*c_ji < c_comp)              = (Q_i.^(-(rho - eta)/(1-rho))).*...
%                                 (markup.*c_ji(markup.*c_ji < c_comp)).^(1-sigma);
%                             
% r(markup.*c_ji > c_comp & c_ji <= c_comp)  =  (Q_i.^(-(rho - eta)/(1-rho))).*...
%                                 (c_comp).^(1-sigma);       
%     
% end
% 
% 
% % the negative power means the goods at price = infty yiels zero revenues
% % r                   = (Q_i.^(-(rho - eta)/(1-rho))).*...
% %                                 (priceH(c_ji,c_comp,gvars)).^(1-sigma);
% 
% end
