function r_ji       = revenuesM_trans(c_ji,Q_i,psiM,gvars)
% revenuesM_trans computes the revenue in i charged by a j-producer with cost c_ji
% revenuesM(c_ji,Q_i) gives the optimal revenue earned
% by a j-monopolist with cost c_ji in a CES setup

rho                 = gvars.rho;
eta                 = gvars.eta;
sigma               = gvars.sigma;

r_ji                = (Q_i.^(-(rho - eta)/(1-rho))).*...
                        (priceM_trans(c_ji,psiM,gvars)).^(1-sigma);
end