% %% PARALLEL PROCESSING
% parallel = 1;
% isOpen = matlabpool('size') > 0;
% if isOpen == false && parallel
%     matlabpool open
% elseif isOpen && ~parallel
%     matlabpool close
% end

%% PARAMETERS

% Country size
L           = 1.00;
gvars.L     = L;

% Measure of varieties
N           = 1;
H           = N*0.01449;
M           = N - H;
gvars.M     = M;
gvars.H     = H;

% CES preference
gvars.sigma = 2.01; %2.01
gvars.markup= gvars.sigma/(gvars.sigma-1);
gvars.rho   = 1 / gvars.markup;

% Homogeneous vs Differentiated goods
% eta < rho
gvars.eta   = 0.6*gvars.rho;%0.6*gvars.rho;

% Productivity shocks
% Assume productivity phi has
% Pareto distribution with shape parameter s and minimum 1
gvars.s     = 2.02;%2.0*(gvars.sigma-1);%2.05

% Hiring cost
gvars.gamma = 0.03; %0.03; 

% Home production
% b = w_0 (== 1)
gvars.b     = 1.0;

% Bargaining power of workers
gvars.lambda = 0.491686;% 0.491686;

% Scale parameter for H-M switch
gvars.alpha = 1.30;

% Cost parameter for H-M switch
gvars.kappa = 0.30;

% Fraction of firms that can switch
gvars.delta = 0.00;

% Tolerance parameter
myeps       = 1e-6;
gvars.myeps = myeps;

% Number of function of evaluation
myfeval     = 10000;
gvars.myfeval = myfeval;

penal       = 1e10;
gvars.penal = penal;

myiter      = 10000;
gvars.myiter= myiter;

% iteration counter - initialized at 1
iter        = 1;
gvars.iter  = iter;

% Sampling
Npts        = 500;
gvars.Npts  = Npts;

curv        = 3.5;
gvars.curv  = curv;

% init
tau = 1.25;
gvars. tau  = tau;

check = 1;