function taa        = sumtaaH(Q,cH_max,gvars)
% sumtaaH is the number of workers displaced because of foreign competition
% sumtaaH(Q,cH_max,gvars)

H                   = gvars.H;
myeps               = gvars.myeps;
delta               = gvars.delta;
gamma               = gvars.gamma;
b                   = gvars.b;

% unit cost upper bounds
c_max               = gamma + b;


% measures
Hhat                = delta*H*(1 - F_ji(c_max,cH_max,gvars));


% revenue function weighted by pdf
pdf_fcn             = @(c) ...
            taaH(c,Q,cH_max,gvars).*...
                        ( ...
                            dF_ji(c_max,c,gvars) .* ...
                             ((1-delta) + delta.*(c <= cH_max)) ...
                        )./...
                        ((1-delta) + delta.*F_ji(c_max,cH_max,gvars));

taa                = (H-Hhat)*quadv(pdf_fcn,0,c_max,myeps);

end