function w          = wageH(c_ji,c_comp,gvars)
% wageH computes the wage paid by a j-producer with cost c_ji
% wageH(c_ji,c_comp) gives the wage paid
% by a duopolist with unit costs c_ji
% and a competitor from 1-j with unit cost c_comp
% default if outcompeted == b;

lambda              = gvars.lambda;
gamma               = gvars.gamma;
b                   = gvars.b;


% wages
w                   = b + ...
                      lambda.*(markupH(c_ji,c_comp,gvars) -1).*(gamma + b);
end