function w          = wageM_trans(psiM,gvars)
% wageM_trans computes the wage in i charged 
% by a j-producer with cost c_ji with a population bound (multiplier: psi)
% wageM_trans gives the constrained optimal wage set
% by a j-monopolist with cost c_ji in a CES setup
markup              = gvars.markup;
lambda              = gvars.lambda;
gamma               = gvars.gamma;
b                   = gvars.b;

markup_constr       = markup.*(1+psiM);
w                   = b + lambda.*(markup_constr -1).*(gamma + b);
end