function weight     = weightM(c,cH_max,gvars)

M                   = gvars.M;
H                   = gvars.H;

gamma               = gvars.gamma;
b                   = gvars.b;

alpha               = gvars.alpha;
delta               = gvars.delta;

% unit cost upper bounds
c_max               = gamma + b;

% measures
Hhat                = delta*H*(1 - F_ji(c_max,cH_max,gvars));
Mhat                = M + Hhat;

% revenue function weighted by pdf
weight              = Mhat.*...
                        (...
                            dF_ji(c_max,c,gvars).*...
                                (c <= c_max).*(M/Mhat)  + ...
                            (1/alpha).*dF_ji(c_max,c./alpha,gvars).*...
                                (c > cH_max.*alpha).*(delta.*H/Mhat)  ...
                        );


end